Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002542Piwigootherpublic2011.12.27 15:302012.01.02 23:21
Reporterrvelices 
Assigned Torvelices 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.3.2 
Target Version2.4.0beta1Fixed in Version2.4.0beta1 
Summary0002542: replace $conf['local_data_dir'] with $conf['data_location']
DescriptionToday local_data_dir is an absolute file system path used internally by piwigo but without the possibility to generate correct urls to be sent to the browsers. Combined css/javascript files and multisizes should go in here as well because generated by piwigo.

data_location will contain a directory relative to piwigo root.
For compatibility reasons we'll automatically have for 2.4
if (!isset($conf['local_data_dir'])) $conf['local_data_dir'] = realpath(PHPWG_ROOT_PATH.$conf['data_location']);

PWG_COMBINED_DIR will become $conf['data_location'].'combined/'
PWG_DERIVATIVE_DIR will become $conf['data_location'].'i/'
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships

-  Notes
(0005884)
rvelices (developer)
2011.12.29 08:55

[Subversion] r12802 on trunk

- Issue History
Date Modified Username Field Change
2011.12.27 15:30 rvelices New Issue
2011.12.27 15:30 rvelices Status new => assigned
2011.12.27 15:30 rvelices Assigned To => rvelices
2011.12.27 15:30 rvelices browser => any
2011.12.27 15:30 rvelices Web server => Apache 1.3.x
2011.12.29 08:55 rvelices Note Added: 0005884
2012.01.02 23:21 plg Status assigned => closed
2012.01.02 23:21 plg Resolution open => fixed
2012.01.02 23:21 plg Fixed in Version => 2.4.0beta1


Copyright © 2000 - 2017 MantisBT Team
Contact
Powered by Mantis Bugtracker